- Main Page
- Classes
- Files

- Search for |

- File List
- File Members

# PSDL_l.cpp File Reference

`#include "ace/OS.h"`
`#include <stdio.h>`
`#include <errno.h>`
`#include <stdlib.h>`
`#include "ace/Synch.h"`
`#include "PSDL_Interpreter.h"`
`#include "PSDL_Node.h"`
`#include "PSDL_y.h"`

Include dependency graph for PSDL_l.cpp:

## Classes
struct | yy_buffer_state
## Defines
#define | yy_create_buffer TAO_PSDL_yy_create_buffer
#define | yy_delete_buffer TAO_PSDL_yy_delete_buffer
#define | yy_scan_buffer TAO_PSDL_yy_scan_buffer
#define | yy_scan_string TAO_PSDL_yy_scan_string
#define | yy_scan_bytes TAO_PSDL_yy_scan_bytes
#define | yy_flex_debug TAO_PSDL_yy_flex_debug
#define | yy_init_buffer TAO_PSDL_yy_init_buffer
#define | yy_flush_buffer TAO_PSDL_yy_flush_buffer
#define | yy_load_buffer_state TAO_PSDL_yy_load_buffer_state
#define | yy_switch_to_buffer TAO_PSDL_yy_switch_to_buffer
#define | yyin TAO_PSDL_yyin
#define | yyleng TAO_PSDL_yyleng
#define | yylex TAO_PSDL_yylex
#define | yyout TAO_PSDL_yyout
#define | yyrestart TAO_PSDL_yyrestart
#define | yytext TAO_PSDL_yytext
#define | FLEX_SCANNER
#define | YY_FLEX_MAJOR_VERSION 2
#define | YY_FLEX_MINOR_VERSION 5
#define | YY_USE_PROTOS
#define | YY_USE_CONST
#define | yyconst const
#define | YY_PROTO(proto) proto
#define | YY_NULL 0
#define | YY_SC_TO_UI(c) ((unsigned int) (unsigned char) c)
#define | BEGIN yy_start = 1 + 2 *
#define | YY_START ((yy_start - 1) / 2)
#define | YYSTATE YY_START
#define | YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)
#define | YY_NEW_FILE yyrestart( yyin )
#define | YY_END_OF_BUFFER_CHAR 0
#define | YY_BUF_SIZE 16384
#define | EOB_ACT_CONTINUE_SCAN 0
#define | EOB_ACT_END_OF_FILE 1
#define | EOB_ACT_LAST_MATCH 2
#define | yyless(n)
#define | unput(c) yyunput( c, yytext_ptr )
#define | YY_BUFFER_NEW 0
#define | YY_BUFFER_NORMAL 1
#define | YY_BUFFER_EOF_PENDING 2
#define | YY_CURRENT_BUFFER yy_current_buffer
#define | YY_FLUSH_BUFFER yy_flush_buffer( yy_current_buffer )
#define | yy_new_buffer yy_create_buffer
#define | yy_set_interactive(is_interactive)
#define | yy_set_bol(at_bol)
#define | YY_AT_BOL() (yy_current_buffer->yy_at_bol)
#define | yytext_ptr yytext
#define | YY_DO_BEFORE_ACTION
#define | YY_NUM_RULES 94
#define | YY_END_OF_BUFFER 95
#define | REJECT reject_used_but_not_detected
#define | yymore() yymore_used_but_not_detected
#define | YY_MORE_ADJ 0
#define | YY_RESTORE_YY_MORE_OFFSET
#define | INITIAL 0
#define | TAO_YY_LEX_DEBUG
#define | YY_DECL int TAO_PSDL_yylex (TAO_PSDL_Node **lvalp, void* )
#define | YY_BREAK
#define | YY_NO_UNPUT
#define | YY_NO_PUSH_STATE 1
#define | YY_NO_POP_STATE 1
#define | YY_NO_TOP_STATE 1
#define | YY_READ_BUF_SIZE 8192
#define | TAO_PSDL_ECHO (void) fwrite( yytext, yyleng, 1, yyout )
#define | YY_INPUT(buf, result, max_size)
#define | yyterminate() return YY_NULL
#define | YY_START_STACK_INCR 25
#define | YY_FATAL_ERROR(msg) yy_fatal_error( msg )
#define | YY_RULE_SETUP YY_USER_ACTION
#define | YY_EXIT_FAILURE 2
#define | yyless(n)
## Typedefs
typedef yy_buffer_state * | YY_BUFFER_STATE
typedef unsigned int | yy_size_t
typedef unsigned char | YY_CHAR
typedef int | yy_state_type
## Functions
void yyrestart | YY_PROTO ((FILE *input_file))
void yy_switch_to_buffer | YY_PROTO ((YY_BUFFER_STATE new_buffer))
void yy_load_buffer_state | YY_PROTO ((void))
YY_BUFFER_STATE yy_create_buffer | YY_PROTO ((FILE *file, int size))
void yy_delete_buffer | YY_PROTO ((YY_BUFFER_STATE b))
void yy_init_buffer | YY_PROTO ((YY_BUFFER_STATE b, FILE *file))
YY_BUFFER_STATE yy_scan_buffer | YY_PROTO ((char *base, yy_size_t size))
YY_BUFFER_STATE yy_scan_string | YY_PROTO ((yyconst char *yy_str))
YY_BUFFER_STATE yy_scan_bytes | YY_PROTO ((yyconst char *bytes, int len))
static void *yy_flex_alloc | YY_PROTO ((yy_size_t))
static void *yy_flex_realloc | YY_PROTO ((void *, yy_size_t))
static void yy_flex_free | YY_PROTO ((void *))
static yy_state_type yy_try_NUL_trans | YY_PROTO ((yy_state_type current_state))
static void yy_fatal_error | YY_PROTO ((yyconst char msg[]))
static const char * | extract_string (char *)
## Variables
int | yyleng
FILE * | yyin
FILE * | yyout
static YY_BUFFER_STATE | yy_current_buffer = 0
static char | yy_hold_char
static int | yy_n_chars
int | yyleng
static char * | yy_c_buf_p = (char *) 0
static int | yy_init = 1
static int | yy_start = 0
static int | yy_did_buffer_switch_on_eof
FILE * | yyin = (FILE *) 0
FILE * | yyout = (FILE *) 0
char * | yytext
static yyconst short int | yy_accept [364]
static yyconst int | yy_ec [256]
static yyconst int | yy_meta [67]
static yyconst short int | yy_base [368]
static yyconst short int | yy_def [368]
static yyconst short int | yy_nxt [459]
static yyconst short int | yy_chk [459]
static yy_state_type | yy_last_accepting_state
static char * | yy_last_accepting_cpos
char * | yytext

## Define Documentation

#define BEGIN yy_start = 1 + 2 *

#define EOB_ACT_CONTINUE_SCAN 0

#define EOB_ACT_END_OF_FILE 1

#define EOB_ACT_LAST_MATCH 2

#define FLEX_SCANNER

#define INITIAL 0

#define REJECT reject_used_but_not_detected

#define TAO_PSDL_ECHO (void) fwrite( yytext, yyleng, 1, yyout )

#define TAO_YY_LEX_DEBUG

#define unput | ( | c |  | ) | yyunput( c, yytext_ptr )

#define YY_AT_BOL | ( |  | ) | (yy_current_buffer->yy_at_bol)

#define YY_BREAK

#define YY_BUF_SIZE 16384

#define YY_BUFFER_EOF_PENDING 2

#define YY_BUFFER_NEW 0

#define YY_BUFFER_NORMAL 1

#define yy_create_buffer TAO_PSDL_yy_create_buffer

#define YY_CURRENT_BUFFER yy_current_buffer

#define YY_DECL int TAO_PSDL_yylex (TAO_PSDL_Node **lvalp, void* )

#define yy_delete_buffer TAO_PSDL_yy_delete_buffer

#define YY_DO_BEFORE_ACTION

Value:

    yytext_ptr = yy_bp; \
            yyleng = (int) (yy_cp - yy_bp); \
            yy_hold_char = *yy_cp; \
            *yy_cp = '\0'; \
            yy_c_buf_p = yy_cp;

#define YY_END_OF_BUFFER 95

#define YY_END_OF_BUFFER_CHAR 0

#define YY_EXIT_FAILURE 2

#define YY_FATAL_ERROR | ( | msg |  | ) | yy_fatal_error( msg )

#define yy_flex_debug TAO_PSDL_yy_flex_debug

#define YY_FLEX_MAJOR_VERSION 2

#define YY_FLEX_MINOR_VERSION 5

#define YY_FLUSH_BUFFER yy_flush_buffer( yy_current_buffer )

#define yy_flush_buffer TAO_PSDL_yy_flush_buffer

#define yy_init_buffer TAO_PSDL_yy_init_buffer

#define YY_INPUT | ( | buf,
|  | result,
|  | max_size |  | ) |

Value:

    if ( yy_current_buffer->yy_is_interactive ) \
                    { \
                    int c = '*', n; \
                    for ( n = 0; n < max_size && \
                                 (c = getc( yyin )) != EOF && c != '\n'; ++n ) \
                            buf[n] = (char) c; \
                    if ( c == '\n' ) \
                            buf[n++] = (char) c; \
                    if ( c == EOF && ferror( yyin ) ) \
                            YY_FATAL_ERROR( "input in flex scanner failed" ); \
                    result = n; \
                    } \
            else \
                    { \
                    errno=0; \
                    while ( (result = fread(buf, 1, max_size, yyin))==0 && ferror(yyin)) \
                            { \
                            if( errno != EINTR) \
                                    { \
                                    YY_FATAL_ERROR( "input in flex scanner failed" ); \
                                    break; \
                                    } \
                            errno=0; \
                            clearerr(yyin); \
                            } \
                    }

#define yy_load_buffer_state TAO_PSDL_yy_load_buffer_state

#define YY_MORE_ADJ 0

#define yy_new_buffer yy_create_buffer

#define YY_NEW_FILE yyrestart( yyin )

#define YY_NO_POP_STATE 1

#define YY_NO_PUSH_STATE 1

#define YY_NO_TOP_STATE 1

#define YY_NO_UNPUT

#define YY_NULL 0

#define YY_NUM_RULES 94

#define YY_PROTO | ( | proto |  | ) | proto

#define YY_READ_BUF_SIZE 8192

#define YY_RESTORE_YY_MORE_OFFSET

#define YY_RULE_SETUP YY_USER_ACTION

#define YY_SC_TO_UI | ( | c |  | ) | ((unsigned int) (unsigned char) c)

#define yy_scan_buffer TAO_PSDL_yy_scan_buffer

#define yy_scan_bytes TAO_PSDL_yy_scan_bytes

#define yy_scan_string TAO_PSDL_yy_scan_string

#define yy_set_bol | ( | at_bol |  | ) |

Value:

    { \
            if ( ! yy_current_buffer ) \
                    yy_current_buffer = yy_create_buffer( yyin, YY_BUF_SIZE ); \
            yy_current_buffer->yy_at_bol = at_bol; \
            }

#define yy_set_interactive | ( | is_interactive |  | ) |

Value:

    { \
            if ( ! yy_current_buffer ) \
                    yy_current_buffer = yy_create_buffer( yyin, YY_BUF_SIZE ); \
            yy_current_buffer->yy_is_interactive = is_interactive; \
            }

#define YY_START ((yy_start - 1) / 2)

#define YY_START_STACK_INCR 25

#define YY_STATE_EOF | ( | state |  | ) | (YY_END_OF_BUFFER + state + 1)

#define yy_switch_to_buffer TAO_PSDL_yy_switch_to_buffer

#define YY_USE_CONST

#define YY_USE_PROTOS

#define yyconst const

#define yyin TAO_PSDL_yyin

#define yyleng TAO_PSDL_yyleng

#define yyless | ( | n |  | ) |

Value:

    do \
                    { \
                    /* Undo effects of setting up yytext. */ \
                    yytext[yyleng] = yy_hold_char; \
                    yy_c_buf_p = yytext + n; \
                    yy_hold_char = *yy_c_buf_p; \
                    *yy_c_buf_p = '\0'; \
                    yyleng = n; \
                    } \
            while ( 0 )

#define yyless | ( | n |  | ) |

Value:

    do \
                    { \
                    /* Undo effects of setting up yytext. */ \
                    *yy_cp = yy_hold_char; \
                    YY_RESTORE_YY_MORE_OFFSET \
                    yy_c_buf_p = yy_cp = yy_bp + n - YY_MORE_ADJ; \
                    YY_DO_BEFORE_ACTION; /* set up yytext again */ \
                    } \
            while ( 0 )

#define yylex TAO_PSDL_yylex

#define yymore | ( |  | ) | yymore_used_but_not_detected

#define yyout TAO_PSDL_yyout

#define yyrestart TAO_PSDL_yyrestart

#define YYSTATE YY_START

#define yyterminate | ( |  | ) | return YY_NULL

#define yytext TAO_PSDL_yytext

#define yytext_ptr yytext

## Typedef Documentation

typedef struct yy_buffer_state* YY_BUFFER_STATE

typedef unsigned char YY_CHAR

typedef unsigned int yy_size_t

typedef int yy_state_type

## Function Documentation

static const char* extract_string | ( | char * |  | ) | `[static]`

static void yy_fatal_error YY_PROTO | ( | (yyconst char msg[]) |  | ) | `[static]`

static yy_state_type yy_try_NUL_trans YY_PROTO | ( | (yy_state_type current_state) |  | ) | `[static]`

static void yy_flex_free YY_PROTO | ( | (void *) |  | ) | `[static]`

static void* yy_flex_realloc YY_PROTO | ( | (void *, yy_size_t) |  | ) | `[static]`

static void* yy_flex_alloc YY_PROTO | ( | (yy_size_t) |  | ) | `[static]`

YY_BUFFER_STATE yy_scan_bytes YY_PROTO | ( | (yyconst char *bytes, int len) |  | ) |

YY_BUFFER_STATE yy_scan_string YY_PROTO | ( | (yyconst char *yy_str) |  | ) |

YY_BUFFER_STATE yy_scan_buffer YY_PROTO | ( | (char *base, yy_size_t size) |  | ) |

void yy_init_buffer YY_PROTO | ( | (YY_BUFFER_STATE b, FILE *file) |  | ) |

void yy_flush_buffer YY_PROTO | ( | (YY_BUFFER_STATE b) |  | ) |

YY_BUFFER_STATE yy_create_buffer YY_PROTO | ( | (FILE *file, int size) |  | ) |

static int yyinput YY_PROTO | ( | (void) |  | ) |

void yy_switch_to_buffer YY_PROTO | ( | (YY_BUFFER_STATE new_buffer) |  | ) |

void yyrestart YY_PROTO | ( | (FILE *input_file) |  | ) |

## Variable Documentation

yyconst short int yy_accept[364]`[static]`

yyconst short int yy_base[368]`[static]`

char* yy_c_buf_p = (char *) 0`[static]`

yyconst short int yy_chk[459]`[static]`

YY_BUFFER_STATE yy_current_buffer = 0`[static]`

yyconst short int yy_def[368]`[static]`

int yy_did_buffer_switch_on_eof`[static]`

yyconst int yy_ec[256]`[static]`

char yy_hold_char`[static]`

int yy_init = 1`[static]`

char* yy_last_accepting_cpos`[static]`

yy_state_type yy_last_accepting_state`[static]`

yyconst int yy_meta[67]`[static]`

Initial value:

        {   0,
            1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
            1,    1,    1,    1,    2,    1,    1,    1,    1,    1,
            3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
            3,    3,    1,    1,    1,    1,    2,    3,    3,    3,
            3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
            3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
            3,    3,    1,    1,    1,    1
        }

int yy_n_chars`[static]`

yyconst short int yy_nxt[459]`[static]`

int yy_start = 0`[static]`

FILE* yyin = (FILE *) 0

FILE* yyin

int yyleng

int yyleng

FILE * yyout = (FILE *) 0

FILE * yyout

char* yytext

char* yytext